"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isAppRouteRoute = isAppRouteRoute;
exports.isMetadataRoute = isMetadataRoute;
exports.isStaticMetadataRoute = isStaticMetadataRoute;
var _path = _interopRequireDefault(require("../shared/lib/isomorphic/path"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function isAppRouteRoute(route) {
    return route.endsWith("/route");
}
// Match routes that are metadata routes, e.g. /sitemap.xml, /favicon.<ext>, /<icon>.<ext>, etc.
// TODO-METADATA: support more metadata routes with more extensions
const staticMetadataRoutes = [
    "robots.txt",
    "sitemap.xml",
    "favicon.ico"
];
function isMetadataRoute(route) {
    // Remove the 'app/' or '/' prefix, only check the route name since they're only allowed in root app directory
    const filename = route.replace(/^app\//, "").replace(/^\//, "");
    return staticMetadataRoutes.includes(filename);
}
function isStaticMetadataRoute(resourcePath) {
    const filename = _path.default.basename(resourcePath);
    return staticMetadataRoutes.includes(filename);
}

//# sourceMappingURL=is-app-route-route.js.map